#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.5.1
visibility:           public
id:                   what4-1.5.1-E8rwmtYclM76Jl2NDUhAes
key:                  what4-1.5.1-E8rwmtYclM76Jl2NDUhAes
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2023
maintainer:           rscott@galois.com, kquick@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, CVC5, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  0d184e1566a8b56cf7a3e9a95b646363
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.Allocator What4.Expr.App What4.Expr.AppTheory
    What4.Expr.ArrayUpdateMap What4.Expr.BoolMap What4.Expr.Builder
    What4.Expr.GroundEval What4.Expr.MATLAB What4.Expr.Simplify
    What4.Expr.StringSeq What4.Expr.UnaryBV
    What4.Expr.VarIdentification What4.Expr.WeightedSum What4.FloatMode
    What4.FunctionName What4.IndexLit What4.Interface
    What4.InterpretedFloatingPoint What4.LabeledPred What4.Panic
    What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Response What4.Protocol.SMTLib2.Syntax
    What4.Protocol.SMTWriter What4.Protocol.VerilogWriter
    What4.Protocol.VerilogWriter.ABCVerilog
    What4.Protocol.VerilogWriter.AST
    What4.Protocol.VerilogWriter.Backend What4.SFloat What4.SWord
    What4.SatResult What4.SemiRing What4.Serialize.FastSExpr
    What4.Serialize.Log What4.Serialize.Normalize
    What4.Serialize.Parser What4.Serialize.Printer
    What4.Serialize.SETokens What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.CVC5
    What4.Solver.DReal What4.Solver.ExternalABC What4.Solver.STP
    What4.Solver.Yices What4.Solver.Z3 What4.SpecialFunctions
    What4.Symbol What4.Utils.AbstractDomains What4.Utils.AnnotatedMap
    What4.Utils.Arithmetic What4.Utils.BVDomain
    What4.Utils.BVDomain.Arith What4.Utils.BVDomain.Bitwise
    What4.Utils.BVDomain.XOR What4.Utils.Complex What4.Utils.Endian
    What4.Utils.Environment What4.Utils.FloatHelpers
    What4.Utils.HandleReader What4.Utils.IncrHash What4.Utils.LeqMap
    What4.Utils.MonadST What4.Utils.OnlyIntRepr What4.Utils.Process
    What4.Utils.ResolveBounds.BV What4.Utils.Serialize
    What4.Utils.Streams What4.Utils.StringLiteral What4.Utils.Versions
    What4.Utils.Word16String What4.WordMap

import-dirs:          /usr/lib/ghc-9.2.8/site-local/what4-1.5.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/what4-1.5.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-what4
hs-libraries:         HSwhat4-1.5.1-E8rwmtYclM76Jl2NDUhAes
depends:
    BoundedChan-1.0.3.0-GASw0jI0hsI8wIs0B8SAkA
    async-2.2.5-C7wSBqUZtbTIGwzJcB5Zmf
    attoparsec-0.14.4-Ls3KkFW9Y1ID7Dl0hM2meR base-4.16.4.0
    bifunctors-5.6-Luv833HM8nkCUjjCQKOpeI
    bimap-0.5.0-9353jtXtQlt6ZOy21Ohqst
    bv-sized-1.0.5-AdUKRxpfNxVHaoRY0MAJNx bytestring-0.11.4.0
    concurrent-extra-0.7.0.12-1ymL1Tt3erS4lFnvwArgiR
    config-value-0.8.3-8yCRuGm4wH18pEPQuVa8HA containers-0.6.5.1
    deepseq-1.4.6.1 deriving-compat-0.6.6-7mQWeBjhty0DsFiVZorPhB
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    fingertree-0.1.5.0-4r5PI93krbd5Tg4mk24FIP ghc-prim-0.8.0
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    hashtables-1.3.1-FATY1X362odAexxqMZDsQx
    io-streams-1.5.2.2-LtiqWNBeC5yCjkTwgeWgLe
    lens-5.2.3-HSZB5kpZAt0LoMCL0cbf2Z
    libBF-0.6.5.1-D8FazLAhtgVBmOEUmiBZvm
    megaparsec-9.6.1-71tqe9LC2YbDKiSECYozXt mtl-2.2.2
    ordered-containers-0.2.4-BHww69GvxU464ZaB6KERph
    panic-0.4.0.1-HPbW5wuhX2x4TYrkc6yjYz
    parameterized-utils-2.1.9.0-BQLtCiwI6qCDdKe2yfqztX parsec-3.1.15.0
    prettyprinter-1.7.1-EK9br09fdXn8mSlFcoOi40 process-1.6.16.0
    s-cargot-0.1.6.0-AI482sxYrqv87x6JdB6gSZ
    scientific-0.3.7.0-32sSMVZGVJI9kBL7DeEJ6v stm-2.5.0.2
    template-haskell-2.18.0.0 temporary-1.3-jNB2818woB2JAnsNmoRSf
    text-1.2.5.0 th-lift-0.8.4-7yLYwH7OaPD4aJs3FpHkYY
    th-lift-instances-0.1.20-8WRgUQQiLc08k8pgX76z7W time-1.11.1.1
    transformers-0.5.6.2 unliftio-0.2.25.0-GFYnbt2k2E3HdB4VAzWEMx
    unordered-containers-0.2.20-E7OuZmBexWvK28rs1X57rg
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    vector-0.13.1.0-1cpgbj3eXUqGZ3uVszXgJ9
    versions-6.0.4-C4W4wgIvez33OmoWaHzdGu
    zenc-0.1.2-GzvGGvM9MrRLxOEswXNw7L

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

